LocalAMG.cpp File Reference
`#include "Paso.h"`
`#include "Options.h"`
`#include "PasoUtil.h"`
`#include "Preconditioner.h"`
`#include "MKL.h"`
`#include "UMFPACK.h"`
`#include <iostream>`

## Namespaces

| paso

## Macros

#define | SHOW_TIMING false
#define | USE_TRANSPOSE true
#define | SMALL_PANEL true

## Functions

void | paso::Preconditioner_LocalAMG_free (Preconditioner_LocalAMG *in)
int | paso::Preconditioner_LocalAMG_getMaxLevel (const Preconditioner_LocalAMG *in)
double | paso::Preconditioner_LocalAMG_getCoarseLevelSparsity (const Preconditioner_LocalAMG *in)
dim_t | paso::Preconditioner_LocalAMG_getNumCoarseUnknowns (const Preconditioner_LocalAMG *in)
Preconditioner_LocalAMG * | paso::Preconditioner_LocalAMG_alloc (SparseMatrix_ptr A_p, int level, Options *options)
void | paso::Preconditioner_LocalAMG_solve (SparseMatrix_ptr A, Preconditioner_LocalAMG *amg, double *x, double *b)
void | paso::Preconditioner_LocalAMG_setStrongConnections (SparseMatrix_ptr A, dim_t *degree_S, index_t *S, const double theta, const double tau)
void | paso::Preconditioner_LocalAMG_setStrongConnections_Block (SparseMatrix_ptr A, dim_t *degree_S, index_t *S, double theta, double tau)
void | paso::Preconditioner_LocalAMG_RungeStuebenSearch (dim_t n, const index_t *offset_S, const dim_t *degree_S, const index_t *S, AMGBlockSelect *split_marker, bool usePanel)
void | paso::Preconditioner_LocalAMG_enforceFFConnectivity (dim_t n, const index_t *offset_S, const dim_t *degree_S, const index_t *S, AMGBlockSelect *split_marker)
| ensures that two F nodes are connected via a C node More...

## Macro Definition Documentation

## SHOW_TIMING

#define SHOW_TIMING false

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## SMALL_PANEL

#define SMALL_PANEL true

Referenced by paso::Preconditioner_LocalAMG_RungeStuebenSearch().

## USE_TRANSPOSE

#define USE_TRANSPOSE true

Referenced by paso::Preconditioner_LocalAMG_alloc().